Bug 61841 - Performance tuning enhancements suggestions
Performance tuning enhancements suggestions
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: nfs-utils (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 00:07 EST by Sean O'Connell
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-25 11:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch for nfs.init (/etc/init.d/nfs) (2.64 KB, patch)
2002-03-25 00:11 EST, Sean O'Connell
no flags Details | Diff
/etc/sysconfig/nfsd to tweak tunable parameters (685 bytes, patch)
2002-03-25 00:18 EST, Sean O'Connell
no flags Details | Diff

  None (edit)
Description Sean O'Connell 2002-03-25 00:07:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.3 (X11; Linux i686; U;) Gecko/20020205

Description of problem:
Configuration enhancements for the nfs-utils configuration files which
incoporate suggestions for NFS-HOWTO performance suggestion and move a lot of
the tuning to /etc/sysconfig rather than have people edit the file in
/etc/init.d .. patches forthcoming.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A .. suggestions to improve nfs-utils that is installed.
	

Additional info:
Comment 1 Sean O'Connell 2002-03-25 00:11:16 EST
Created attachment 50084 [details]
suggested patch for nfs.init (/etc/init.d/nfs)
Comment 2 Sean O'Connell 2002-03-25 00:18:21 EST
Created attachment 50085 [details]
/etc/sysconfig/nfsd to tweak tunable parameters
Comment 3 hjl 2002-04-07 17:39:07 EDT
I checked a slighly different patch into the
nfs-utils CVS.
Comment 4 Sean O'Connell 2002-07-24 23:46:59 EDT
I noticed that the first limbo beta version of nfs-utils uses a version of
nfs-utils.tar.gz that includes hj liu's version of my patches;however, it still
uses 7.2/7.3 version of nfs.init. it would be cool if the tnv were to include a
merged version of the two.
Comment 5 Bob Matthews 2002-07-25 11:10:28 EDT
Sean, my bad.  We overwrite the nfs-utils version of the init scripts when we
roll the package, and then substitute our own.  I'll fix the rpm so that your
versions are installed.
Comment 6 Sean O'Connell 2002-07-25 11:21:45 EDT
Thanks! I noticed that you had just re-rolled with the older scripts. The
nfs.init in the version does a nifty thing in using rpcinfo to get whether the
server supports version 2 or version 3 of nfs (gets rid of the need for the
kernel version test in  the script). It also uses /etc/sysconfig/nfs which makes
more sense and add some more options than my original version.
Comment 7 Bob Matthews 2002-08-01 11:17:36 EDT
Fixed in next Beta.

Note You need to log in before you can comment on or make changes to this bug.